<?
class FilterGlobal
{
	public static function all($var) {
		//Нолевой байт
		$var = str_replace(chr(0), '', $var);
		//$var = preg_replace('/[^\pL\pN\pP\pS\pZ]/u', '', $var);
		return $var;
	}
	public static function GET($var) {
		$var = self::all($var);
		return $var;
	}
	public static function POST($var) {
		$var = self::all($var);			
		return $var;
	}
	public static function COOKIE($var) {
		$var = self::all($var);
		return $var;
	}
	public static function REQUEST($var) {
		$var = self::all($var);	
		return $var;
	}	
}